SoComputeBoundingBox(3)

NAME
SoComputeBoundingBox - The SoComputeBoundingBox class is used to calculate a bounding box.

SYNOPSIS

#include <Inventor/engines/SoComputeBoundingBox.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoComputeBoundingBox (void)
void setViewportRegion (const SbViewportRegion &vpr)
const SbViewportRegion & getViewportRegion (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFNode node
SoSFPath path
SoEngineOutput min
SoEngineOutput max
SoEngineOutput boxCenter
SoEngineOutput objectCenter

  Protected Member Functions
virtual ~SoComputeBoundingBox (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoComputeBoundingBox class is used to calculate a bounding box. This engine is simply a wrapper around the SoGetBoundingBoxAction, for a convenient way of having automatic updating of some data in the scene graph which is dependent on the bounding box of some other part of the scene.

Constructor & Destructor Documentation

  SoComputeBoundingBox::SoComputeBoundingBox (void)
Default constructor. Sets up the internal SoGetBoundingBoxAction instance.

  SoComputeBoundingBox::~SoComputeBoundingBox (void) [protected], [virtual]
Destructor. Deallocate the SoGetBoundingBoxAction instance.

Member Function Documentation

  SoType SoComputeBoundingBox::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoComputeBoundingBox::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoComputeBoundingBox::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoComputeBoundingBox::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoComputeBoundingBox::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoComputeBoundingBox::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoComputeBoundingBox::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

  void SoComputeBoundingBox::setViewportRegion (const SbViewportRegion & vpr)
Set viewport region for the SoGetBoundingBoxAction instance we're using for calculating bounding boxes.

The default setting is to use an SbViewportRegion with only default values.

  const SbViewportRegion & SoComputeBoundingBox::getViewportRegion (void) const
Returns viewport region used by the internal SoGetBoundingBoxAction instance.

Member Data Documentation

  SoSFNode SoComputeBoundingBox::node
If this input field is set and SoComputeBoundingBox::path is NULL, the resultant bounding box will be the box encompassing the scene graph rooted at this node pointer.

  SoSFPath SoComputeBoundingBox::path
If this input field is not NULL, the bounding box values of the given path will be set on the outputs.

  SoEngineOutput SoComputeBoundingBox::min
(SoSFVec3f) Corner coordinates of the bounding box.

  SoEngineOutput SoComputeBoundingBox::max
(SoSFVec3f) Corner coordinates of the bounding box.

  SoEngineOutput SoComputeBoundingBox::boxCenter
(SoSFVec3f) Geometric center point of the bounding box.

  SoEngineOutput SoComputeBoundingBox::objectCenter
(SoSFVec3f) Object center point for the bounding box. See SoGetBoundingBoxAction::getCenter() for an explanation for how this can differ from the geometric center point of the bounding box.

Author

Generated automatically by Doxygen for Coin from the source code.